如何在CentOS 6上安装Python 2.7 + Ansible,centosansible_Linux_青云站长教程网
欢迎来到站长教程网!
  • 秒到短信接口 免费试用
  • 微信支付宝接口 秒结算
  • 中文网站排名|申请加入
  • 搜索引擎全站查询
  • 查询移动网站权重数据
  • 海外主机 台湾公司直销
  • Linux

    当前位置:主页 > 服务器教程 > Linux >

    如何在CentOS 6上安装Python 2.7 + Ansible,centosansible

    时间:2019-10-09|栏目:Linux|点击:
  • 如何在CentOS 6上安装Python 2.7 + Ansible,centosansible

    文章由LinuxBoy分享于2019-10-08 03:10:44

    如何在CentOS 6上安装Python 2.7 + Ansible,centosansible
    如何在CentOS 6上安装Python 2.7 + Ansible

    笔者今天想在阿里云的CentOS 6.8镜像上安装Ansible,因系统自带的是Python 2.6而安装失败,又折腾了半天安装Python 2.7,安装的过程整理如下:
    在安装Python前先安装zlib-devel,否则执行Python脚本时会遇到ZipImportError异常:

    yum install -y zlib-devel

    下载并安装Python 2.7

    wget https://www.python.org/ftp/python/2.7.14/Python-2.7.14.tgz tar -xzvf Python-2.7.14.tgz cd Python-2.7.14 ./configure make && make install

    此时执行python –version,可见版本已经为Python 2.7.14,接下来需要安装新的pip:

    wget https://bootstrap.pypa.io/get-pip.py python get-pip.py

    执行pip –version, 注意其来自于python2.7。如果不是,重新连接SSH再试试。此时,就可以正常执行pip install ansible了。

    上一篇:ansible笔记(9):常用模块之包管理模块,ansible模块

    栏    目:Linux

    下一篇:Ansible简单上手体验,ansible上手

    本文标题:如何在CentOS 6上安装Python 2.7 + Ansible,centosansible

    本文地址:http://www.jh-floor.com/fuwuqijiaocheng/Linux/86262.html

    广告投放 | 联系我们 | 版权申明

    重要申明:本站所有的文章、图片、评论等,均由网友发表或上传并维护或收集自网络,属个人行为,与本站立场无关。

    如果侵犯了您的权利,请与我们联系,我们将在24小时内进行处理、任何非本站因素导致的法律后果,本站均不负任何责任。

    联系QQ:888888 | 邮箱:888888#qq.com(#换成@)

    Copyright © 2002-2017 青云站长教程网 版权所有 琼ICP备xxxxxxxx号